declare const _default: {
    /**
     * Log level
     */
    logLevel: string;
    /**
     * When Nandu registry starts it will create a root user if none exists already.
     * Otherwise these variables will be ignored.
     */
    root: {
        /**
         * Define a username that would act as root and have special priviledges.
         *
         */
        user: string;
        /**
         * Define a password that would act as root and have special priviledges.
         *
         */
        password: string;
    };
    /**
     * The number of saltrounds for user's passwords. Note, changing this value
     * on an existing database will make all users unable to login.
     */
    saltRounds: string | number;
    /**
     * A sequalize URI to determine which database to use.
     */
    sequelize: {
        uri: string;
    };
    /**
     * A bucket name for the S3 storage. Note this must be a global unique name.
     */
    aws: {
        s3: {
            bucket: string;
        };
    };
    /**
     * Location of the packages files when using the local storage.
     */
    local: {
        baseDir: string;
    };
    /**
     * Max package size, default 100Mb
     *
     */
    storage: {
        maxPackageSize: string;
    };
};
export default _default;
