"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.asyncWrap = void 0;
const tslib_1 = require("tslib");
const http_status_codes_1 = require("http-status-codes");
const pino_1 = (0, tslib_1.__importDefault)(require("pino"));
const logger = (0, pino_1.default)();
/**
 * Properly hadle exceptions from async express handlers.
 */
const asyncWrap = (fn) => {
    return async (req, res, next) => {
        try {
            await fn(req, res);
        }
        catch (err) {
            logger.error({ method: req.method, path: req.path, err }, "Error");
            res.status(http_status_codes_1.StatusCodes.NOT_ACCEPTABLE).end();
        }
    };
};
exports.asyncWrap = asyncWrap;
//# sourceMappingURL=asyncWrap.js.map