import { Request, Response, NextFunction } from "express";
import { User, TokenAccess } from "../models";
export interface LocalsAuth extends Request {
    user: User;
    auth: {
        access: TokenAccess[];
    };
}
/**
 * Middleware to authenticate user based on Basic or Bearer token.
 *
 */
export declare const authToken: () => (req: Request, res: Response<any, LocalsAuth>, next: NextFunction) => Promise<Response<any, LocalsAuth>>;
export declare const authPassword: () => (req: Request, res: Response, next: NextFunction) => Promise<Response<any, Record<string, any>>>;
export declare const canWrite: () => (req: Request, res: Response<any, LocalsAuth>, next: NextFunction) => Promise<Response<any, LocalsAuth>>;
