"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.canAccessOrganization = void 0;
const http_status_codes_1 = require("http-status-codes");
const organization_1 = require("../models/organization");
const utils_1 = require("../utils");
const canAccessOrganization = (...actions) => async (req, res, next) => {
    const { _id: memberId } = res.locals.user;
    if ((0, utils_1.isRoot)(res.locals.user)) {
        return next();
    }
    const role = await organization_1.Organization.getMemberRole(req.params.scope, memberId);
    if (role) {
        if (organization_1.Organization.checkPermissions(role, ...actions)) {
            return next();
        }
        else {
            return res
                .status(http_status_codes_1.StatusCodes.FORBIDDEN)
                .send("Member's role has not right to perform the action");
        }
    }
    else {
        return res
            .status(http_status_codes_1.StatusCodes.FORBIDDEN)
            .send("Requires organization access");
    }
};
exports.canAccessOrganization = canAccessOrganization;
//# sourceMappingURL=organizations.js.map