import { Model } from "sequelize";
import { Permissions } from "../types";
export declare class Team extends Model {
    static createTeam(scope: string, name: string, ownerId: string, isRoot: boolean, description?: string): Promise<Team>;
    static removeTeam(scope: string, team: string): Promise<void>;
    static getMembers(scope: string, teamName: string): Promise<Team>;
    static addUser(scope: string, teamName: string, userName: string): Promise<void>;
    static removeUser(scope: string, teamName: string, userName: string): Promise<number>;
    static grantAccess(scope: string, teamName: string, packageId: string, permissions: Permissions): Promise<void>;
    static revokeAccess(scope: string, teamName: string, packageId: string): Promise<void>;
    static listPackages(scope: string, teamName: string): Promise<Model<any, any>[]>;
    static listOrganizationPackages(scope: string): Promise<Model<any, any>[]>;
    static checkPermissions(userId: string, packageId: string, permissions: Permissions[]): Promise<boolean>;
}
