import { Model } from "sequelize";
export declare type TokenAccess = "readonly" | "publish" | "automation";
export declare class Token extends Model {
    static hashToken(token: string): string;
    static createTokenForUser(userId: string, { readonly, cidrWhitelist }: {
        readonly: boolean;
        cidrWhitelist?: string[];
    }): Promise<[string, Token]>;
    static getTokens(userId: string): Promise<{
        objects: {
            key: any;
            token: any;
            created: any;
            cidr_whitelist: string[];
            readonly: boolean;
        }[];
        urls: {};
    }>;
    /**
     * Revokes a token. Only owner or root user can revoke other
     * users tokens.
     *
     * @param userId
     * @param tokenOrKey
     * @param isRoot
     */
    static revokeToken(userId: string, tokenOrKey: string, isRoot?: boolean): Promise<boolean>;
    get cidrWhitelist(): string[];
    checkCIDR(ip: string): any;
    getPublicData(): {
        key: any;
        token: any;
        created: any;
        cidr_whitelist: string[];
        readonly: boolean;
    };
}
