"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.S3Storage = void 0;
const lib_storage_1 = require("@aws-sdk/lib-storage");
const client_s3_1 = require("@aws-sdk/client-s3");
const client = new client_s3_1.S3({}) || new client_s3_1.S3Client({});
class S3Storage {
    constructor(bucket) {
        this.bucket = bucket;
    }
    async add(pathName, inputStream) {
        const target = { Bucket: this.bucket, Key: pathName, Body: inputStream };
        const parallelUploads3 = new lib_storage_1.Upload({
            client,
            params: target,
        });
        parallelUploads3.on("httpUploadProgress", (progress) => {
            console.log(progress);
        });
        await parallelUploads3.done();
    }
    async get(pathName) {
        const command = new client_s3_1.GetObjectCommand({
            Bucket: this.bucket,
            Key: pathName,
        });
        const { Body } = await client.send(command);
        return Body;
    }
    async remove(pathName) {
        const command = new client_s3_1.DeleteObjectCommand({
            Bucket: this.bucket,
            Key: pathName,
        });
        await client.send(command);
    }
}
exports.S3Storage = S3Storage;
//# sourceMappingURL=s3.storage.js.map